#include <iostream>
#include <cmath>
using namespace std;
int main()
{
    int n,m,c,r;
    cin >> n;
    for(int i=0;i<n;i++)
    {
        cin >> m >> c >> r;
    }
    for(int i=0;i<n;i++)
    {
        cout << "("<<endl;
    }
}